MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028990Community[OCCT] OCCT:Codingpublic2017-08-11 15:372020-09-05 12:40
ReporterVico Liang 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0028990: Coding Rules - deprecate redundant class Prs3d_Root
DescriptionPrs3d_Root just delegates function call to Prs3d_Presentation object, it can be removed to simplify OCCT type system.

class Prs3d_Root
{
public:

  DEFINE_STANDARD_ALLOC

  //! Returns the current (last created) group of primititves inside graphic objects in the display.
  //! A group also contains the attributes whose ranges are limited to the primitives in it.
  static Handle(Graphic3d_Group) CurrentGroup (const Handle(Prs3d_Presentation)& thePrs3d)
  {
    return thePrs3d->CurrentGroup();
  }

  //! Returns the new group of primitives inside graphic objects in the display.
  //! A group also contains the attributes whose ranges are limited to the primitives in it.
  static Handle(Graphic3d_Group) NewGroup (const Handle(Prs3d_Presentation)& thePrs3d)
  {
    return thePrs3d->NewGroup();
  }

};
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0024752closedbugmaster Open CASCADE Visualization - inherit OpenGl_Group from Graphic3d_Group 

-  Notes
(0069457)
kgv (developer)
2017-08-16 14:18

Prs3d_Root was not removed within 0024752 because it is widely used (previously it was the only public API for creating new groups).

So this removal should come through deprecation -> removal cycle.
(0093702)
git (administrator)
2020-08-28 16:13

Branch CR28990 has been created by kgv.

SHA-1: 30ca9be1feef67dab3bae87259a1443d0ac9c6f6


Detailed log of new commits:

Author: kgv
Date: Fri Aug 28 16:02:18 2020 +0300

    0028990: Coding Rules - deprecate redundant class Prs3d_Root
    
    Prs3d_Root usage has been replaced by direct calls to Prs3d_Presentation methods.
(0093705)
git (administrator)
2020-08-28 16:50

Branch CR28990 has been updated forcibly by kgv.

SHA-1: ec719aebbc8a450b6d91f199fa263d0ef9d68166
(0093733)
git (administrator)
2020-08-30 19:02

Branch CR28990 has been updated forcibly by kgv.

SHA-1: d6c489212ba5301ed962acf8fc7921daf1db5bf9
(0093741)
kgv (developer)
2020-08-30 20:46

Patch is ready for review
- OCCT branch: CR28990
- OCC Products: CR28990

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR28990-CR28990-KGV/ [^]
(0093747)
osa (developer)
2020-08-31 10:02

The patch was reviewed
(0094047)
bugmaster (administrator)
2020-09-05 12:06

Combination -
OCCT branch : IR-2020-09-04
master SHA - a516227511f3452f9f55b79c961265b0bf210793
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-04 SHA - 134448d280fb82bfb14ffc6255ac1cb53f7fd1cf
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17319.18000000012 / 17284.370000000214 [+0.20%]
Products
Total CPU difference: 12059.670000000087 / 12007.590000000067 [+0.43%]
Windows-64-VC14:
OCCT
Total CPU difference: 18776.390625 / 18770.796875 [+0.03%]
Products
Total CPU difference: 13251.640625 / 13222.90625 [+0.22%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0094095)
git (administrator)
2020-09-05 12:35

Branch CR28990 has been deleted by inv.

SHA-1: d6c489212ba5301ed962acf8fc7921daf1db5bf9

- Related Changesets
occt: master d6c48921
Timestamp: 2020-08-28 13:02:18
Author: kgv
Details ] Diff ]
0028990: Coding Rules - deprecate redundant class Prs3d_Root

Prs3d_Root usage has been replaced by direct calls to Prs3d_Presentation methods.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession2D_Curve.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Direction.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/ISession_Direction.cpp Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Face.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Markers.cpp Diff ] File ]
mod - samples/mfc/standard/Common/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.cxx Diff ] File ]
mod - src/AIS/AIS_ColoredShape.cxx Diff ] File ]
mod - src/AIS/AIS_ColorScale.cxx Diff ] File ]
mod - src/AIS/AIS_Manipulator.cxx Diff ] File ]
mod - src/AIS/AIS_Plane.cxx Diff ] File ]
mod - src/AIS/AIS_Point.cxx Diff ] File ]
mod - src/AIS/AIS_PointCloud.cxx Diff ] File ]
mod - src/AIS/AIS_RubberBand.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_TextLabel.cxx Diff ] File ]
mod - src/AIS/AIS_TexturedShape.cxx Diff ] File ]
mod - src/AIS/AIS_Triangulation.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.cxx Diff ] File ]
mod - src/AIS/AIS_ViewCube.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_AnglePresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_Chamf2dPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_ConcentricPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_DatumPrs.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_DiameterPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_EllipseRadiusPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_EqualDistancePresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_EqualRadiusPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_FilletRadiusPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_FixPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_IdenticPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_LengthPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_MidPointPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_OffsetPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_ParalPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_PerpenPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_RadiusPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_ShadedPlanePresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_ShapeDirPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_SymbPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_SymmetricPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_TangentPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_XYZAxisPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_XYZPlanePresentation.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_ElementalColorPrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_Mesh.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshEntityOwner.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshPrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_NodalColorPrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_PrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_TextPrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_VectorPrsBuilder.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Arrow.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_BndBox.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Point.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Root.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Text.hxx Diff ] File ]
mod - src/PrsDim/PrsDim_AngleDimension.cxx Diff ] File ]
mod - src/PrsDim/PrsDim_Dimension.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_Curve.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_DeflectionCurve.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_HLRPolyShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_HLRShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_Plane.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_PoleCurve.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedShape.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ShadedSurface.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFDeflectionSurface.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFPoleSurface.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFSurface.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_AISObject.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-11 15:37 Vico Liang New Issue
2017-08-11 15:37 Vico Liang Assigned To => kgv
2017-08-16 14:15 kgv Relationship added related to 0024752
2017-08-16 14:18 kgv Note Added: 0069457
2019-07-10 19:27 abv Target Version 7.4.0 => 7.5.0
2020-08-28 15:58 kgv Severity minor => integration request
2020-08-28 15:58 kgv Summary class Prs3d_Root can be removed => Coding Rules - deprecate useless class Prs3d_Root
2020-08-28 16:00 kgv Summary Coding Rules - deprecate useless class Prs3d_Root => Coding Rules - deprecate redundant class Prs3d_Root
2020-08-28 16:13 git Note Added: 0093702
2020-08-28 16:29 kgv Product Version => 6.8.0
2020-08-28 16:50 git Note Added: 0093705
2020-08-30 19:02 git Note Added: 0093733
2020-08-30 20:46 kgv Note Added: 0093741
2020-08-30 20:46 kgv Assigned To kgv => osa
2020-08-30 20:46 kgv Status new => resolved
2020-08-31 10:02 osa Note Added: 0093747
2020-08-31 10:02 osa Assigned To osa => bugmaster
2020-08-31 10:02 osa Status resolved => reviewed
2020-09-05 12:06 bugmaster Note Added: 0094047
2020-09-05 12:06 bugmaster Status reviewed => tested
2020-09-05 12:15 bugmaster Test case number => Not required
2020-09-05 12:25 kgv Changeset attached => occt master d6c48921
2020-09-05 12:25 kgv Assigned To bugmaster => kgv
2020-09-05 12:25 kgv Status tested => verified
2020-09-05 12:25 kgv Resolution open => fixed
2020-09-05 12:35 git Note Added: 0094095


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker